VisualEditor: "Invalid token" message after period of inactivity leads to lost work
Closed, ResolvedPublic

Description

An attempt to save an article in the visual editor after a period of inactivity results in the "Invalid token" error message and saving fails. At this point, the user is completely stuck and their entire work is lost.

Loss of session data can also occur in the regular source code edit window, but is easily rectified by repeated saving; this doesn't work in the visual editor.

I would classify this as user-hostile behavior.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50402

bzimport set Reference to bz50424.
AxelBoldt created this task.Via LegacyJun 29 2013, 3:47 PM
gerritbot added a comment.Via ConduitJul 11 2013, 6:11 PM

Change 73189 had a related patch set uploaded by Krinkle:
API: Split save action into separate API module

https://gerrit.wikimedia.org/r/73189

gerritbot added a comment.Via ConduitJul 11 2013, 6:11 PM

Change 73203 had a related patch set uploaded by Krinkle:
mw.ViewPageTarget: Improve error message for badtoken error

https://gerrit.wikimedia.org/r/73203

gerritbot added a comment.Via ConduitJul 11 2013, 11:11 PM

Change 73189 merged by jenkins-bot:
api: Split save action into separate API module

https://gerrit.wikimedia.org/r/73189

gerritbot added a comment.Via ConduitJul 11 2013, 11:22 PM

Change 73203 merged by jenkins-bot:
mw.ViewPageTarget: Improve error message for badtoken error

https://gerrit.wikimedia.org/r/73203

gerritbot added a comment.Via ConduitJul 12 2013, 6:27 PM

Change 73446 had a related patch set uploaded by Krinkle:
(DRAFT) mw.ViewPageTarget: Refetch token if session expired

https://gerrit.wikimedia.org/r/73446

Jdforrester-WMF added a comment.Via ConduitJul 13 2013, 11:57 PM
  • Bug 51302 has been marked as a duplicate of this bug. ***
jayvdb added a comment.Via ConduitJul 14 2013, 3:05 AM

I just encountered this problem. I would call this bug a blocker as it is effectively 'dataloss' in bmo keyword terminology!

AxelBoldt added a comment.Via ConduitJul 14 2013, 5:38 AM

Please note that the reporter of Bug 51302 also points out that the session expiry clock already starts ticking once an article is opened for *reading*, i.e. potentially much earlier than when the visual editor is started on the article.

gerritbot added a comment.Via ConduitJul 15 2013, 7:44 PM

Change 73446 merged by jenkins-bot:
mw.ViewPageTarget: Refetch token if session expired

https://gerrit.wikimedia.org/r/73446

Jdforrester-WMF added a comment.Via ConduitJul 15 2013, 7:46 PM

This is now fixed in master, which will be deployed within the hour.

Add Comment